> For the complete documentation index, see [llms.txt](https://docs.limio.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.limio.com/components/component-library/legacy-configuration-components/component-grouped-offers.md).

# Component: Grouped Offers

**Purpose**: A display of offers stored on the campaign in groups. Use this Offers component when you want to display your offers in customised groups.

## Props

| Prop Name                  | Label                               | Type    | Default Value                                                                                                       | Description                                                  |
| -------------------------- | ----------------------------------- | ------- | ------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------ |
| ineligibleHeading          | Ineligible for trial heading        | string  | Pick another offer                                                                                                  | Ineligible for trial heading                                 |
| ineligibleMessage          | Ineligible for trial message        | string  | You’ve already used your free trial.                                                                                | Ineligible for trial message                                 |
| fullPriceUrl               | Full Price URL                      | string  | /full-price                                                                                                         | Full Price URL                                               |
| fullPriceLabel             | Full Price Label                    | string  | Click here                                                                                                          | Full Price Label                                             |
| bestValueText              | Best value offer label              | string  | Best value                                                                                                          | Best value offer label                                       |
| buttonText                 | External button next                | string  | View multi-year offers                                                                                              | Button Text                                                  |
| buttonUrl                  | External button url                 | string  | /multi                                                                                                              | Button URL                                                   |
| preselectFirstOfferInGroup | Preselect first offer in each group | boolean | false                                                                                                               | Select the first offer per grouping                          |
| groupLabels                | Group labels                        | list    | <p>{<br>"id": "digital",<br>"label": "Digital"<br>},<br>{<br>"id": "bundle",<br>"label": "Print + Digital"<br>}</p> | Grouping of the offers based on the group\_\_limio attribute |

##


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.limio.com/components/component-library/legacy-configuration-components/component-grouped-offers.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
